=== src/libexec/CMakeLists.txt ===
add_subdirectory(qbs_processlauncher)
