=== src/plugins/CMakeLists.txt ===
add_subdirectory(generator)
add_subdirectory(scanner)
