=== src/plugins/generator/CMakeLists.txt ===
add_subdirectory(clangcompilationdb)
add_subdirectory(graphviz)
add_subdirectory(iarew)
add_subdirectory(keiluv)
add_subdirectory(makefilegenerator)
add_subdirectory(visualstudio)
