=== debian/changelog ===
qbs (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - gcc-handle-absolute-module-source-paths-in-modules.json.diff: drop, fixed
      upstream
  * upstream-test-suite autopkgtest: use the value returned by "nproc" as number
    of jobs for the build of the blackbox tests; this should speed up the test
    a bit.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Oct 2025 20:26:58 +0100
