=== debian/control ===
Source: qbs
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               dpkg-build-api (= 1),
               pkg-kde-tools,
               qt6-5compat-dev,
               qt6-base-dev (>= 6.4.2+dfsg-12~),
               qt6-base-private-dev,
Build-Depends-Arch: 7zip <!nocheck>,
                    bison <!nocheck>,
                    flex <!nocheck>,
                    icoutils <!nocheck>,
                    qt6-declarative-dev <!nocheck>,
                    qt6-scxml-dev <!nocheck>,
                    qt6-shadertools-dev <!nocheck>,
                    qt6-tools-dev <!nocheck>,
                    unzip <!nocheck>,
                    zip <!nocheck>,
Build-Depends-Indep: python3-bs4,
                     python3-lxml,
                     qt6-tools-dev,
Standards-Version: 4.7.2
Homepage: https://wiki.qt.io/Qbs
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qbs.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qbs/

Package: qbs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: qbs-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: cross-platform build tool
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.

Package: qbs-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qbs static files
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains Qbs shared static files.

Package: libqbscore3.1
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: qbs-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Qbs core library
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains Qbs core shared library.

Package: qbs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqbscore3.1 (= ${binary:Version}), ${misc:Depends}
Description: Qbs development files
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains headers and development files for Qbs.

Package: qbs-examples
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: examples for Qbs build tool
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the example source projects for Qbs.

Package: qbs-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Qbs documentation
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the documentation for Qbs in QCH format, which can be
 viewed using Qt Assistant from assistant-qt6 package.

Package: qbs-doc-html
Multi-Arch: foreign
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qbs HTML documentation
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the HTML documentation for Qbs.
