=== debian/tests/control ===
Tests: upstream-test-suite
Depends: @builddeps@, build-essential, qbs
Restrictions: allow-stderr
