## qbs 3.1.2

=== debian/changelog ===
qbs (3.1.2-2) unstable; urgency=medium

  * Team upload.
  * Define PATH_MAX if not available, to help building on GNU/Hurd;
    patch path_max.diff.
  * Increase the timeout of qtest with QTEST_FUNCTION_TIMEOUT also for alpha,
    and hppa.
  * Backport upstream commit a8a17646b136873132c5fba98ee1bea681a7dcaa to build
    with Qt 6.10; patch upstream_Fix-build-with-Qt-6.10.patch.
  * Fix copyright. (Closes: #1127583)
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Feb 2026 09:44:14 +0100

qbs (3.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Dec 2025 08:37:27 +0100
