=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: qbs
 Section: devel
-Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
 Build-Depends: cmake,
@@ -23,7 +22,7 @@
 Build-Depends-Indep: python3-bs4,
                      python3-lxml,
                      qt6-tools-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://wiki.qt.io/Qbs
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qbs.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qbs/
