=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

ifneq ($(filter $(DEB_HOST_ARCH),alpha hppa riscv64),)
export QTEST_FUNCTION_TIMEOUT=900000
endif

ifeq ($(call dpkg_vendor_derives_from,ubuntu),yes)
ifneq ($(filter $(DEB_HOST_ARCH),ppc64el amd64),)
export DEB_CXXFLAGS_MAINT_STRIP=-O3
export DEB_CXXFLAGS_MAINT_APPEND=-O2
endif
endif

BUILDPATH ?= obj-$(DEB_HOST_GNU_TYPE)

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DQBS_ENABLE_RPATH=no \
		-DWITH_TESTS=yes \
		-DWITH_UNIT_TESTS=yes \
		-DQBS_LIB_INSTALL_DIR=lib/${DEB_HOST_MULTIARCH} \
		-DQBS_PLUGINS_INSTALL_BASE=lib/${DEB_HOST_MULTIARCH} \
		-DQBS_INSTALL_MAN_PAGE=yes \
		-DQBS_INSTALL_HTML_DOCS=$(if $(filter qbs-doc-html, $(shell dh_listpackages)),yes,no) \
		-DQBS_INSTALL_QCH_DOCS=$(if $(filter qbs-doc, $(shell dh_listpackages)),yes,no)

override_dh_auto_build-arch:
	dh_auto_build -- -C src
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	dh_auto_build -- -C share
	dh_auto_build -- -C tests
endif

override_dh_auto_install-arch:
	dh_auto_install -- -C src
	dh_auto_install -- -C doc/man

override_dh_auto_build-indep:
	dh_auto_build --no-parallel -- -C doc
	dh_auto_build -- -C share

override_dh_auto_install-indep:
	dh_auto_install --no-parallel -- -C doc
	dh_auto_install -- -C share

override_dh_auto_test-arch:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -ex; \
		export LD_LIBRARY_PATH=$(BUILDPATH)/lib/${DEB_HOST_MULTIARCH}:$$LD_LIBRARY_PATH; \
		export HOME=$(CURDIR)/debian/.debhelper/generated/_source/home; \
		export QBS_AUTOTEST_PROFILE=qbs_autotests; \
		export QBS_AUTOTEST_ALWAYS_LOG_STDOUT=1; \
		export QBS_AUTOTEST_ALWAYS_LOG_STDERR=1; \
		$(BUILDPATH)/bin/qbs-setup-toolchains /usr/bin/gcc gcc; \
		$(BUILDPATH)/bin/qbs-setup-qt /usr/bin/qmake6 qbs_autotests; \
		[ -n "`$(BUILDPATH)/bin/qbs-config --list profiles.qbs_autotests.baseProfile`" ] || \
			$(BUILDPATH)/bin/qbs-config profiles.qbs_autotests.baseProfile gcc; \
		LC_ALL=C.UTF-8 dh_auto_test --max-parallel=1
endif

override_dh_auto_test-indep:

override_dh_compress:
	dh_compress --exclude=.qch
